Skip to content

API Reference

Add onboarding flow information

POST /v1/retail/onboarding_flow https://api.cable.tech

Retail endpoint for adding new Onboarding Flow information

Authentication

  • API key in the x-api-key header

Request body

application/json list of objects required

Request body for adding Onboarding Flow information for a parent entity

  • timestamp string required

    Original timestamp relating to this onboarding flow information creation/change

    Format date-time

  • data object required
    • flow_name string required

      Latest onboarding flow that this entity has gone through, e.g. manual KYC, automated onboarding, Simplified Due Diligence, Enhanced Due Diligence

      Example Manual KYC

    • outcome string required

      Outcome for the latest onboarding flow that this entity has gone through, e.g. automated approval, manual approval, automated rejection, manual rejection, EDD required

      Example automated approval

    • outcome_reason string | object

      Option 1: string

      Option 2: object

    • custom object

      Custom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.

  • parent object required
    • id string required

      Unique external identifier of the parent entity, ID stored in your database / back-office

      Limits min length 1

Responses

200 Operation success

  • success boolean required

    You probably did something wrong if you set this to false

    Default true

Errors

  • default Operation error

Error body default

  • code string required
  • message string required
  • data object